Subject: bug#20389: A way to communicate announcements to developers

From: Glenn Morris <[email-masked]>
Date: Wed, 22 Apr 2015 13:18:41 -0400

Stefan Monnier wrote:

>> 3. Add topic name "emacs-announce"; regexp "emacs-announce"; description
>> "announcements all Emacs developers should read".
>> (Using just "announce" may lead to false positives?)
>
> I could live with that.  But I wonder if using gnu.emacs.announce would
> be worse or better.  I mean, there might some benefit to "announce
> feature freeze to the world" rather than only to the developers.

But there's other stuff than the (relatively) interesting feature freeze
example. There's "hey, we don't use ChangeLogs any more";
"hey, start using 'foo' quotes rather than `blah' quotes";
"hey, remember to do your commit messages like this not like that";
etc. I think almost all announcements will not relevant be for info-gnu-emacs.
emacs-devel seems the natural home for such things to me.

info-gnu-emacs has 835 subscribers versus 200 committers;
don't know what the overlap is.

But the main point of this report was to get SOME kind of system.
If you want to make and advertise a different system, please do.
Eg https://pumprock.net/fsfstatus, s/fsf/emacs ;)